var Tabs;
(function (Tabs) {
    var Controller = (function () {
        function Controller(TabHolder, ContentHolder) {
            this.TabHolder = TabHolder;
            this.ContentHolder = ContentHolder;
            var tab = this.TabHolder.children("a:first");
            if (0 == tab.length) {
                return;
            }
            var that = this;
            $(window).on('hashchange', function () {
                var hashItems = window.location.hash.slice(1).split("&");
                for (var i in hashItems) {
                    var params = hashItems[i].split("=");
                    if (/^tab[\w\d\-\.]+$/.test(params[0])) {
                        var tabID = params[0].substr(3, params[0].length - 3);
                        that.SetActiveTab(tabID);
                    }
                }
            });
            if ("" != window.location.hash) {
                $(window).trigger("hashchange");
            }
            else {
                if (!tab.data("id")) {
                    return;
                }
                var dataID = tab.data("id").toString();
                this.SetActiveTab(dataID);
            }
        }
        Controller.prototype.SetActiveTab = function (tabID) {
            this.TabHolder.children("a").removeClass("active");
            this.TabHolder.children("a[data-id=" + tabID + "]").addClass("active");
            this.ContentHolder.hide();
            $(".js-tab" + tabID).show();
        };
        return Controller;
    }());
    Tabs.Controller = Controller;
})(Tabs || (Tabs = {}));
//# sourceMappingURL=tabs.js.map